QGIS Application - Bug report #18705
Updating raster single-band min/max method does not update actual min/max
2018-04-10 09:57 PM - Dewey Dunnington

Status: Open

Priority: Normal

Assignee:

Category: OsX Ul

Affected QGIS version:3.0.0 Regression?: No
Operating System: OSX Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 26593
Description

When updating the min/max method for single band (pseudocolor and grayscale), updating the manual min/max values will change the
method to "User defined", but changing the method type to something else (min/max, mean +/-) does not update the min/max values until
the "Apply" or "OK" is clicked on the user dialog. Clicking "Classify" doesn't do anything. Is this intentional? | think there used to be a
"calculate" button here? It took me a while to figure out the fix...

History

#1 - 2018-04-11 02:25 PM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

Can you please check how (and if) it was working in 2.x?

If this is a regression introduced in 3.x, please flag it.

What is the expected behavior here?

I think that the "Classify" button should recalculate the values whenever pressed...

#2 - 2018-04-11 03:05 PM - Alessandro Pasotti

- Assignee deleted (Alessandro Pasotti)

Small update testing on Linux, if | manually change Min or Max values this is what happens:

- User defined is automatically selected
- The values are automatically recalculated

this looks like (another) OSX issue, sorry but | cannot help.

#3 - 2018-04-11 06:56 PM - Dewey Dunnington
- Assignee set to Alessandro Pasotti
- File Screen Shot 2018-04-11 at 1.52.21 PM.png added

This is not an OSX issue, this is a QGIS 3 issue. Updating the min/max values manually will automatically change the min/max method type, but changing
the min/max method type does not automatically change the min/max values unless the "Apply" or "OK" is clicked. In QGIS 2, there was a "Load" button
that performed this operation. This is a problem for both grayscale and pseudocolor singleband representations.

#4 - 2018-04-11 07:06 PM - Alessandro Pasotti

- Assignee deleted (Alessandro Pasotti)

#5 - 2018-04-11 07:30 PM - Alessandro Pasotti

ok, got it.
The load button is gone.

Apparently by design:

commit 407991ed35049ec267c4641751841b4631f9c05e
Author: nirvn <nirvn.asia@gmail.com>
Date: Tue Dec 27 14:43:26 2016 +0700

[ui] rename the min/max widget group box title

Since there is no more loading involved through
the min/max widget, rename it to:

"Min /max values settings"

#6 - 2018-04-11 07:39 PM - Dewey Dunnington

No problem with a Load button that doesn't exist, provided that there is a way to change from a manually entered min/max to a calculated min/max. The
"load" operation is fired when "Apply" is clicked, but could also be fired when the user changes any of the options for the Min/Max settings (e.g., different
+/- standard deviation, change to min/max from user defined). At the very least, | feel like it should be fired when the user clicks "classify" in the
pseudocolor section.
